[project]
name = "dt-cart"
version = "1.0.0"
description = "Classification and Regression Trees (CART)"
authors = [
    {name = "Aleksey Filippov", email = "<al.filippov@ulstu.ru>"}
]
readme = "readme.md"
requires-python = ">=3.12,<4.0"

[tool.poetry]
package-mode = false

[tool.poetry.dependencies]
scikit-learn = "~1.6.0"
pandas = "~2.2.0"
flask = "~3.1.0"
apiflask = "~2.3.0"
flask-cors = "~5.0.0"
gunicorn = "~23.0.0"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"